Уязвимость BDU:2021-01427

Дата: 08.11.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-01427.

Наименование уязвимости: Уязвимость функции Exiv2::PsdImage::readMetadata файла psdimage.cpp библиотеки для управления метаданными медиафайлов Exiv2, связанная с бесконечной работой цикла, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функции Exiv2::PsdImage::readMetadata файла psdimage.cpp библиотеки для управления метаданными медиафайлов Exiv2 связана с некорректной обработкой PSD файла. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Прикладное ПО информационных систем Exiv2 authors Exiv2 0.26 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Canonical Ltd. Ubuntu 19.04 | Операционная система ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» | Операционная система Debian GNU/Linux 10.0 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS 32-bit | Ubuntu 1804 LTS | Ubuntu 1810 | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Ubuntu 1904 | Astra Linux Common Edition 212 «Орёл» | Debian GNU/Linux 100 |
Дата выявления: 08.11.2018.
CVSS 2.0: AV:N/AC:M/Au:N/C:N/I:N/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,3)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Exiv2:
Обновление программного обеспечения до 0.27.3-3 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета exiv2) до 0.27.3-3 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета exiv2) до 0.27.3-3 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4056-1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-19108.

Тип ошибки CWE: CWE-835
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/Exiv2/exiv2/issues/426
https://github.com/Exiv2/exiv2/pull/518
https://lists.debian.org/debian-lts-announce/2019/02/msg00038.html
https://nvd.nist.gov/vuln/detail/CVE-2018-19108
https://security-tracker.debian.org/tracker/CVE-2018-19108
https://ubuntu.com/security/notices/USN-4056-1

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.